> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 利用サイクル

> Enterpriseのすべての請求サイクルの一覧を取得します

Enterprise管理者の個人APIキーが必要です。

Enterpriseの開始時点から現在までのすべての請求サイクルの一覧を返します。


## OpenAPI

````yaml ja/v2-openapi.yaml GET /v2/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: 消費サイクル エンドポイント
      description: 本日までの Enterprise のすべての請求サイクルの一覧を生成します。
      operationId: consumption_cycles_endpoint_v2_enterprise_consumption_cycles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BillingCycle'
                title: >-
                  Response Consumption Cycles Endpoint V2 Enterprise Consumption
                  Cycles Get
                type: array
          description: 成功時のレスポンス
components:
  schemas:
    BillingCycle:
      properties:
        end:
          format: date-time
          title: End
          type: string
        start:
          format: date-time
          title: Start
          type: string
      required:
        - start
        - end
      title: BillingCycle
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````